Index: attach-linked-images.php
===================================================================
--- attach-linked-images.php	(revision 618844)
+++ attach-linked-images.php	(working copy)
@@ -3,7 +3,7 @@
 /*
  Plugin Name: Add Linked Images To Gallery
  Plugin URI:  http://www.bbqiguana.com/wordpress-plugins/add-linked-images-to-gallery/
- Version: 1.4
+ Version: 1.5
  Description: Examines the text of a post and makes local copies of all the images linked though IMG tags, adding them as gallery attachments on the post itself.
  Author: Randy Hunt
  Author URI: http://www.bbqiguana.com/
@@ -11,12 +11,16 @@
 
 require_once(ABSPATH . 'wp-admin/includes/file.php');
 require_once(ABSPATH . 'wp-admin/includes/media.php');
+require_once(ABSPATH . 'wp-admin/includes/image.php');
 
 $externimg_count = 0;
 
-function externimg_find_imgs ($post_id) {
-
+function externimg_find_imgs ($post_id) { //die('called on delete');
+        $post = get_post($post_id);
+     
 	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) return;
+        
+        if( $post->post_status == 'trash' ) return;
 	
 	if (wp_is_post_revision($post_id)) return;
 	
@@ -29,7 +33,7 @@
 		}
 		if (!$catfound) return;
 	}
-	$post = get_post($post_id);
+	//$post = get_post($post_id);
 	$a = get_option('externimg_authlist');
 	if($a && !in_array($post->post_author, explode(',', $a))) return;
 	
@@ -48,8 +52,11 @@
 			$pathname = $parseurl['path'];
 			$filename = substr(strrchr($pathname, '/'), 1);
 			if (preg_match ('/(\.php|\.aspx?)$/', $filename) ) $filename .= '.jpg';
+                       
 			$imgid   = externimg_sideload($imgs[$i], $filename, $post_id);
+                        
 			$imgpath = wp_get_attachment_url($imgid);
+                         
 			if (!is_wp_error($imgpath)) {
 				if ($l=='custtag') {
 					add_post_meta($post_id, $k, $imgs[$i], false);
@@ -58,10 +65,11 @@
 					$content = preg_replace('/(<img[^>]* src=[\'"]?)('.$trans.')/', '$1'.$imgpath, $content);
 					$replaced = true;
 				}
-				$processed[] = $imgs[i];
+				$processed[] = $imgs[$i];
 				$externimg_count++;
 			}
 		}
+                 
 	}
 	if ($replaced) {
 		$upd = array();
@@ -91,14 +99,19 @@
 }
 
 function externimg_sideload ($file, $url, $post_id) {
+     
 	if(!empty($file)){
+            
 		$file_array['tmp_name'] = download_url($file);
 		if(is_wp_error($file_array['tmp_name'])) return;
 		$file_array['name'] = basename($file);
 		//$desc = @$desc;
-		$desc = externimg_getext($file);
+                
+		//$desc = externimg_getext($file_array['tmp_name']);
 
 		$pathparts = pathinfo($file_array['tmp_name']);
+                
+                
 		if (''==$pathparts['extension']) {
 			$ext = externimg_getext($file_array['tmp_name']);
 			rename($file_array['tmp_name'], $file_array['tmp_name'] . $ext);
@@ -106,7 +119,8 @@
 			$file_array['tmp_name'] .= $ext;
 		}
 
-		$id = media_handle_sideload($file_array, $post_id, $desc);
+		$id = media_handle_sideload($file_array, $post_id, $file_array['name']);
+                
 		$src = $id;
 
 		if(is_wp_error($id)) {
@@ -114,6 +128,7 @@
 			return $id;
 		}
 	}
+       
 	if (!empty($src)) return $src;
 	else return false;
 }
Index: readme.txt
===================================================================
--- readme.txt	(revision 618844)
+++ readme.txt	(working copy)
@@ -60,6 +60,9 @@
 
 == Changelog ==
 
+= 1.5 =
+* Removed fatal error when adding post with external images not in the wp-admin post context - Thanks blobaugh!
+
 = 1.4 = 
 * Updated to fix a bug introduced with WordPress 3.1
 * Default option is now "replace" rather than "custom tag"
